--- if.c	2009-10-25 04:10:29.000000000 +0300
+++ if.c	2010-04-21 11:32:15.000000000 +0400
@@ -676,6 +676,10 @@
 	if (!first)
 		putchar('\n');
 	fflush(stdout);
+	if (cflag)
+		count--;
+	if (count < 0 && cflag)
+		exit(0);
 	oldmask = sigblock(sigmask(SIGALRM));
 	while (!signalled)
 		sigpause(0);
--- main.c	2009-10-25 04:10:29.000000000 +0300
+++ main.c	2010-04-21 11:31:19.000000000 +0400
@@ -322,6 +322,7 @@
 int	aflag;		/* show all sockets (including servers) */
 int	Bflag;		/* show information about bpf consumers */
 int	bflag;		/* show i/f total bytes in/out */
+int	cflag;		/* repeat display output */
 int	dflag;		/* show i/f dropped packets */
 int	gflag;		/* show group (multicast) routing or stats */
 int	hflag;		/* show counters in human readable format */
@@ -339,6 +340,7 @@
 int	zflag;		/* zero stats */
 
 int	interval;	/* repeat interval for i/f stats */
+int	count;		/* repeat display output */
 
 char	*interface;	/* desired i/f for stats, or NULL for all i/fs */
 int	unit;		/* unit number for above */
@@ -352,9 +354,10 @@
 	struct protox *tp = NULL;  /* for printing cblocks & stats */
 	int ch;
 
+
 	af = AF_UNSPEC;
 
-	while ((ch = getopt(argc, argv, "AaBbdf:ghI:iLlM:mN:np:rSstuWw:xz")) != -1)
+	while ((ch = getopt(argc, argv, "AaBbc:df:ghI:iLlM:mN:np:rSstuWw:xz")) != -1)
 		switch(ch) {
 		case 'A':
 			Aflag = 1;
@@ -368,6 +371,10 @@
 		case 'b':
 			bflag = 1;
 			break;
+		case 'c':
+			cflag = 1;
+			count = atoi(optarg);
+			break;
 		case 'd':
 			dflag = 1;
 			break;
--- netstat.h	2009-10-25 04:10:29.000000000 +0300
+++ netstat.h	2010-04-21 11:32:27.000000000 +0400
@@ -39,6 +39,7 @@
 extern int	Aflag;	/* show addresses of protocol control block */
 extern int	aflag;	/* show all sockets (including servers) */
 extern int	bflag;	/* show i/f total bytes in/out */
+extern int	cflag;	/* repeat display output */
 extern int	dflag;	/* show i/f dropped packets */
 extern int	gflag;	/* show group (multicast) routing or stats */
 extern int	hflag;	/* show counters in human readable format */
@@ -55,6 +56,7 @@
 extern int	zflag;	/* zero stats */
 
 extern int	interval; /* repeat interval for i/f stats */
+extern int	count;	  /* repeate display output */
 
 extern char	*interface; /* desired i/f for stats, or NULL for all i/fs */
 extern int	unit;	/* unit number for above */
